document.querySelector(".icon-menu").addEventListener("click", function (event) {
  event.preventDefault(); // Чтобы избежать перехода по ссылке
  document.body.classList.toggle("menu-open");
});

// Получаем все кнопки, отвечающие за открытие и закрытие спойлеров
const spollerButtons = document.querySelectorAll("[data-spoller] .spollers-faq__button");

// Проходим по всем кнопкам и добавляем обработчик событий
spollerButtons.forEach((button) => {
  button.addEventListener("click", function () {
    const currentItem = button.closest("[data-spoller]");
    const content = currentItem.querySelector(".spollers-faq__text");

    // Проверяем, если в блоке 'data-one-spoller' и он открыт, то закрываем все остальные
    const parent = currentItem.parentNode;
    const isOneSpoller = parent.hasAttribute("data-one-spoller");

    if (isOneSpoller) {
      const allItems = parent.querySelectorAll("[data-spoller]");
      allItems.forEach((item) => {
        if (item !== currentItem) {
          const otherContent = item.querySelector(".spollers-faq__text");
          item.classList.remove("active");
          otherContent.style.maxHeight = null;
        }
      });
    }

    // Открываем/закрываем текущий спойлер
    if (currentItem.classList.contains("active")) {
      currentItem.classList.remove("active");
      content.style.maxHeight = null;
    } else {
      currentItem.classList.add("active");
      content.style.maxHeight = content.scrollHeight + "px";
    }
  });
});
